Package org.apache.commons.math3.filter

# Interface ProcessModel

All Known Implementing Classes:
  `DefaultProcessModel`

public interface ProcessModel
Defines the process dynamics model for the use with a `KalmanFilter`.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`RealMatrix`
`getControlMatrix()`
Returns the control matrix.
`RealMatrix`
`getInitialErrorCovariance()`
Returns the initial error covariance matrix.
`RealVector`
`getInitialStateEstimate()`
Returns the initial state estimation vector.
`RealMatrix`
`getProcessNoise()`
Returns the process noise matrix.
`RealMatrix`
`getStateTransitionMatrix()`
Returns the state transition matrix.

## Method Details

### getStateTransitionMatrix

RealMatrix getStateTransitionMatrix()
Returns the state transition matrix.

Returns:
  the state transition matrix

### getControlMatrix

RealMatrix getControlMatrix()
Returns the control matrix.

Returns:
  the control matrix

### getProcessNoise

RealMatrix getProcessNoise()
Returns the process noise matrix. This method is called by the `KalmanFilter` every prediction step, so implementations of this interface may return a modified process noise depending on the current iteration step.

Returns:
  the process noise matrix
See Also:
  - `KalmanFilter.predict()`
  - `KalmanFilter.predict(double[])`
  - `KalmanFilter.predict(RealVector)`

### getInitialStateEstimate

RealVector getInitialStateEstimate()
Returns the initial state estimation vector.

Note: if the return value is zero, the Kalman filter will initialize the state estimation with a zero vector.

Returns:
  the initial state estimation vector

### getInitialErrorCovariance

RealMatrix getInitialErrorCovariance()
Returns the initial error covariance matrix.

Note: if the return value is zero, the Kalman filter will initialize the error covariance with the process noise matrix.

Returns:
  the initial error covariance matrix